--- initscripts-4.91/src/process.c.orig	Mon Jan 31 12:11:35 2000
+++ initscripts-4.91/src/process.c	Tue Feb  8 14:13:55 2000
@@ -22,7 +22,7 @@ extern regex_t **regList;
 int forkCommand(char **args, int *outfd, int *errfd, int *cmdfd, int quiet) {
    /* Fork command 'cmd', returning pid, and optionally pointer
     * to open file descriptor fd */
-    int fdout, fderr, fdcmd, pid;
+    int fdout = -1, fderr = -1, fdcmd, pid;
     int outpipe[2], errpipe[2], fdpipe[2];
     int ourpid;
     
@@ -62,8 +62,10 @@ int forkCommand(char **args, int *outfd,
      * fucks up and we segfault or something, we don't kill rc.sysinit. */
     if ( (cmdfd&&!pid) || (pid &&!cmdfd)) {
 	/* parent */
-	close(fdout);
-	close(fderr);
+	if (fdout != -1)
+	    close(fdout);
+	if (fderr != -1)
+	    close(fderr);
 	close(fdcmd);
 	if (!pid)
 	  return ourpid;
@@ -98,8 +100,10 @@ int forkCommand(char **args, int *outfd,
 	    perror("dup2");
 	    exit(-1);
 	}
-	close(fdout);
-	close(fderr);
+	if (fdout != -1)
+	    close(fdout);
+	if (fderr != -1)
+	    close(fderr);
 	close(fdcmd);
 	if (outfd)
 	  close(*outfd);
--- initscripts-4.91/src/initlog.c.orig	Mon Jan 31 12:11:35 2000
+++ initscripts-4.91/src/initlog.c	Tue Feb  8 14:16:56 2000
@@ -233,8 +233,9 @@ int logEvent(char *cmd, int eventtype,ch
     
     if (cmd) {
 	logentry.cmd = strdup(basename(cmd));
-	if ((logentry.cmd[0] =='K' || logentry.cmd[0] == 'S') && ( 30 <= logentry.cmd[1] <= 39 )
-	    && ( 30 <= logentry.cmd[2] <= 39 ) )
+	if ((logentry.cmd[0] =='K' || logentry.cmd[0] == 'S')
+	    && 30 <= logentry.cmd[1] && logentry.cmd[1] <= 39
+	    && 30 <= logentry.cmd[2] && logentry.cmd[2] <= 39)
 	  logentry.cmd+=3;
     } else
       logentry.cmd = strdup(_("(none)"));
@@ -259,8 +260,9 @@ int logString(char *cmd, char *string) {
     
     if (cmd) {
 	logentry.cmd = strdup(basename(cmd));
-	if ((logentry.cmd[0] =='K' || logentry.cmd[0] == 'S') && ( 30 <= logentry.cmd[1] <= 39 )
-	    && ( 30 <= logentry.cmd[2] <= 39 ) )
+	if ((logentry.cmd[0] =='K' || logentry.cmd[0] == 'S')
+	    && 30 <= logentry.cmd[1] && logentry.cmd[1] <= 39
+	    && 30 <= logentry.cmd[2] && logentry.cmd[2] <= 39)
 	  logentry.cmd+=3;
     } else
       logentry.cmd = strdup(_(""));
@@ -313,7 +315,7 @@ int processArgs(int argc, char **argv, i
         { "quiet", 'q', POPT_ARG_NONE, &quiet, 0,
 	  "suppress stdout/stderr", NULL
 	},
-        { 0, 0, 0, 0, 0, 0 }
+        { 0, 0, 0, 0, 0, 0, 0 }
     };
     
     context = poptGetContext("initlog", argc, argv, optTable, 0);
